Contents

DELETE /reserves/$RESERVE_PUB#

Forcefully closes a reserve. The request header must contain an Account-Request-Signature. Note: this endpoint is not currently implemented!

Request:

Account-Request-Signature:

The client must provide Base-32 encoded EdDSA signature made with $ACCOUNT_PRIV, affirming its authorization to delete the account. The purpose used MUST be TALER_SIGNATURE_RESERVE_CLOSE.

Query Parameters:
  • force=BOOLEANOptional. If set to ‘true’ specified, the exchange will delete the account even if there is a balance remaining.

Response:

200 OK:

The operation succeeded, the exchange provides details about the account deletion. The response will include a ReserveDeletedResponse object.

403 Forbidden:

The Account-Request-Signature is invalid. This response comes with a standard ErrorDetail response.

404 Not found:

The account is unknown to the exchange.

409 Conflict:

The account is still has digital cash in it, the associated wire method is void and the force option was not provided. This response comes with a standard ErrorDetail response.

Details:

 interface ReserveDeletedResponse {

  // Final balance of the account.
  closing_amount: Amount;

  // Current time of the exchange, used as part of
  // what the exchange signs over.
  close_time: Timestamp;

  // Hash of the full payto URI of the wire account
  // into which the remaining balance will be transferred.
  // Note: may be the hash over ``payto://void/`,
  // in which case the balance is forfeit
  // to the profit of the exchange.
  h_wire: FullPaytoHash;

  // This is a signature over a
  // struct TALER_AccountDeleteConfirmationPS with purpose
  // TALER_SIGNATURE_EXCHANGE_RESERVE_DELETED.
  exchange_sig: EddsaSignature;

}